Bug 468453 - Review Request: shed - simple ncurses based hex editor
Review Request: shed - simple ncurses based hex editor
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fabian Affolter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-24 15:22 EDT by Adam Miller
Modified: 2008-11-22 11:49 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-05 06:43:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mail: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Adam Miller 2008-10-24 15:22:19 EDT
Spec URL: http://maxamillion.fedorapeople.org/shed.spec
SRPM URL: http://maxamillion.fedorapeople.org/shed-1.13-1.src.rpm
Description: shed is an easy to use hex editor written for unix/linux using ncurses, with a friendly pico-style interface
Comment 1 Fabian Affolter 2008-10-27 20:17:56 EDT
Just some small comments on your spec file

Requires: ncurses
 - not needed because ncurses-devel is a BR 

make
 - should be make %{?_smp_mflags} acc. to https://fedoraproject.org/wiki/PackageMaintainers/CreatingPackageHowTo#.25build_section

chmod 0755 $RPM_BUILD_ROOT/%{_bindir}/shed
 - Is this really needed?
Comment 2 Adam Miller 2008-10-28 10:56:11 EDT
Fixed the Requires as well as the make.

The chmod 0755 is something I added because without it rpmlint claimed the the resulting binary was not being stripped and after reading up on the issue a bit I found documentation stating that rpmbuild will automatically strip executables and that explicit calls to strip in a .spec was frowned upon.

I uploaded to new SRPM and new spec to:
Spec URL: http://maxamillion.fedorapeople.org/shed.spec
SRPM URL: http://maxamillion.fedorapeople.org/shed-1.13-1.src.rpm

Thank you for your input and please feel free to ask more questions or inform me of any more issues you might see with the package.
Comment 3 Fabian Affolter 2008-10-29 09:25:16 EDT
Just two small thing before I will do a full review. 

There is a typo in the 'Source0'
 - Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
                           ^
                           ¦_ the 's' is missing
   https://fedoraproject.org/wiki/Packaging/SourceURL

BuildRoot
 - Your current BuildRoot is a bit unusual.  Please check the examples of the recommanded BuildRoots https://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag

%changelog
 - Every time you make changes in your spec file, you should bump the release and create a new entry in your changelog. I think this this time you can summarize all changes and bump the release to '2'
  https://fedoraproject.org/wiki/Packaging/Guidelines#Changelogs

%files
 - If you like to can replace 'shed' with the macro %{name}.  But that is only 	cosmetically and depends on the packager's flavor.
Comment 4 Fabian Affolter 2008-10-29 09:50:59 EDT
(In reply to comment #2)
> The chmod 0755 is something I added because without it rpmlint claimed the the
> resulting binary was not being stripped and after reading up on the issue a bit
> I found documentation stating that rpmbuild will automatically strip
> executables and that explicit calls to strip in a .spec was frowned upon.

For me, it works without this line 'chmod 0755 $RPM_BUILD_ROOT/%{_bindir}/shed' -> rpmlint is silent

One other thing, the file BUGS is missing in your spec file.
Comment 5 Adam Miller 2008-10-29 14:38:26 EDT
Added BUGS file, changed the macro name for shed, removed the chmod that wasn't needed, fixed my release increment overlook and updated the changelog as well as fixed the buildroot

I uploaded to new SRPM and new spec to:
Spec URL: http://maxamillion.fedorapeople.org/shed.spec
SRPM URL: http://maxamillion.fedorapeople.org/shed-1.13-2.src.rpm

Thank you for your input and please feel free to offer suggestions stylistically or compliance related, I appreciate input of all types. Thanks again.
Comment 6 Fabian Affolter 2008-10-29 17:56:56 EDT
Package Review

==============



Key:

 - = N/A

 x = Check

 ! = Problem

 ? = Not evaluated



=== REQUIRED ITEMS ===

 [x] Package is named according to the Package Naming Guidelines.

 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.

 [x] Package meets the Packaging Guidelines.

 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.

     Tested on: F9/i386

 [x] Rpmlint output:

     Source RPM:

     [fab@laptop024 SRPMS]$ rpmlint shed-1.13-2.fc9.src.rpm 
     1 packages and 0 specfiles checked; 0 errors, 0 warnings.

     Binary RPMs:

     [fab@laptop024 i386]$ rpmlint -i shed*
     2 packages and 0 specfiles checked; 0 errors, 0 warnings.

 [x] Package is not relocatable.

 [x] Buildroot is correct

     master   : %{_tmppath}/%{name}-%{version}-%{release}-root

     spec file: %{_tmppath}/%{name}-%{version}-%{release}-root

 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.

 [!] License field in the package spec file matches the actual license.

     License type: GPLv2 [1]

 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.

 [x] Spec file is legible and written in American English.

 [x] Sources used to build the package matches the upstream source, as provided in the spec URL.

     SHA1SUM upstream:   d0a1aa6c30b907945608d478949a00ac2ef1b3f1783dbe391816665dc9cff423

     SHA1SUM of package: d0a1aa6c30b907945608d478949a00ac2ef1b3f1783dbe391816665dc9cff423

 [x] Package is not known to require ExcludeArch

 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.

 [-] The spec file handles locales properly.

 [-] ldconfig called in %post and %postun if required.

 [x] Package must own all directories that it creates.

 [x] Package requires other packages for directories it uses.

 [x] Package does not contain duplicates in %files.

 [x] Permissions on files are set properly.

 [x] Package has a %clean section, which contains rm -rf %{buildroot}.

 [x] Package consistently uses macros.

 [x] Package contains code, or permissable content.

 [-] Large documentation files are in a -doc subpackage, if required.

 [x] Package uses nothing in %doc for runtime.

 [-] Header files in -devel subpackage, if present.

 [-] Static libraries in -devel subpackage, if present.

 [-] Package requires pkgconfig, if .pc files are present.

 [-] Development .so files in -devel subpackage, if present.

 [-] Fully versioned dependency in subpackages, if present.

 [-] Package does not contain any libtool archives (.la).

 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.

 [x] Package does not own files or directories owned by other packages.



=== SUGGESTED ITEMS ===

 [x] Latest version is packaged.

 [?] Package does not include license text files separate from upstream.

 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.

 [x] Reviewer should test that the package builds in mock.

     Tested on: F9/i386

 [x] Package should compile and build into binary RPMs on all supported architectures.

     Tested  F9: http://koji.fedoraproject.org/koji/taskinfo?taskID=911169
     Tested F10: http://koji.fedoraproject.org/koji/taskinfo?taskID=911159 

 [x] Package functions as described.

 [-] Scriptlets must be sane, if used.

 [-] The placement of pkgconfig(.pc) files is correct.

 [-] File based requires are sane.

[1] License is GPLv2+. Take a look at the headers of the source: "or (at your option) any later version"


If the license tag is fixed, I see no further blocker, package APPROVED
Comment 7 Adam Miller 2008-10-31 11:22:22 EDT
New Package CVS Request
=======================
Package Name: shed
Short Description: simple ncurses based hex editor
Owners: maxamillion
Branches: EL-4 EL-5 F-9 F-10
InitialCC:
Comment 8 Kevin Fenzi 2008-10-31 13:01:09 EDT
cvs done.
Comment 9 Fedora Update System 2008-10-31 16:22:38 EDT
shed-1.13-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/shed-1.13-2.fc9
Comment 10 Fabian Affolter 2008-10-31 18:19:02 EDT
(In reply to comment #6)

>  [!] License field in the package spec file matches the actual license.
> 
>      License type: GPLv2 [1]
> 
> [1] License is GPLv2+. Take a look at the headers of the source: "or (at your
> option) any later version"
> 
> 
> If the license tag is fixed, I see no further blocker, package APPROVED

The license tag was not fixed before cvs import, it's still GPLv2.  You have to fix this.
Comment 11 Adam Miller 2008-11-02 16:52:00 EST
Very sorry for the oversight, the fix has been made. I deleted my update request in Bodhi for the package.

I uploaded to new SRPM and new spec to:
Spec URL: http://maxamillion.fedorapeople.org/shed.spec
SRPM URL: http://maxamillion.fedorapeople.org/shed-1.13-3.src.rpm

I have also committed my change to fedora cvs, tagged the new version for each branch and sent each one to koji (and plague for the EL branches) to be rebuilt to the new version of the spec file. Once that has completed I will resubmit the update request to bodhi.

Once again, I do apologize for the oversight and I will do my best to make sure I don't let one of my mistakes make it into cvs, the build sys, and updates again.

Build reports for the new version:
http://koji.fedoraproject.org/koji/buildinfo?buildID=68315
http://koji.fedoraproject.org/koji/buildinfo?buildID=68314
http://koji.fedoraproject.org/koji/buildinfo?buildID=68313
http://buildsys.fedoraproject.org/build-status/job.psp?uid=637
http://buildsys.fedoraproject.org/build-status/job.psp?uid=638
Comment 12 Fedora Update System 2008-11-02 16:54:49 EST
shed-1.13-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/shed-1.13-3.fc9
Comment 13 Fedora Update System 2008-11-04 14:28:18 EST
shed-1.13-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/shed-1.13-3.fc10
Comment 14 Fedora Update System 2008-11-05 23:08:29 EST
shed-1.13-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2008-11-22 11:49:37 EST
shed-1.13-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.